<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann

  // affiche le descriptif détaillé d'un IBAN 
  
  //réutilisé lors de l'ajout (on ne doit pas supprimé un IBAN juste ajouté)
  
  $PositionSlash = strrpos($_SERVER["SCRIPT_NAME"], "/"); /* trouve la pos d'un caractère */
  $NomPage = substr($_SERVER["SCRIPT_NAME"], $PositionSlash+1, strlen($_SERVER["SCRIPT_NAME"]));
  
  echo "
  <table width='100%'>
    
    <tr>";
    
    if("iban_liste.php"  == $NomPage ){
      echo "<th></th>";
    }
    
    echo "
      <th>IBAN</th><th>Pays</th><th>Clé IBAN</th>";
      if('' != $ligne["codebanqueiban"]){ echo "<th>Code Banque</th>";}
      if('' != $ligne["codeguichet"]){ echo "<th>Code Guichet</th>";}
      if('' != $ligne["numerocompteiban"]){ echo "<th>Numéro Compte</th>";}
      if('' != $ligne["clerib"]){ echo "<th>Clé RIB</th>";}
      echo "
    </tr>
          
    <tr>";
      
      if( "iban_liste.php" == $NomPage ){
        echo " <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
          onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >
          <input type='checkbox' name='numiban[]' value='".$ligne["iban"]."'></td> ";
      }
      
      echo "
      <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["iban"]."</td>
        
      <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["paysiban"]."</td>
        
      <td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["cleiban"]."</td>";
        
        if('' != $ligne["codebanqueiban"]){
        echo "<td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["codebanqueiban"]."</td>";}
        
        if('' != $ligne["codeguichet"]){
        echo "<td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["codeguichet"]."</td>";}
        
        if('' != $ligne["numerocompteiban"]){
        echo "<td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["numerocompteiban"]."</td>";}
        
        if('' != $ligne["clerib"]){
        echo "<td class='historique' onmouseover='this.style.backgroundColor=\"white\"'
        onmouseout='this.style.backgroundColor=\"#c8d7e3\"' >".$ligne["clerib"]."</td>";}
    
    echo "
    </tr>
  
  </table>";
  
  echo "<p class='info'>Montant du compte IBAN : ".$ligne["montantiban"]." ".$_SESSION["devise"].".</p>";
  
?>
